## Kapittel 2. Opna GIMP

## 1. Starthjelp

Usually you start GIMP either by clicking GIMP's icon on your desktop (if available), selecting it from a menu, or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to add the exact version number: gimp-3.0.

Viss du vil, kan du gje ei liste med namn på biletfiler på kommandolinja etter programnamnet slik at GIMP opnar desse filene automatisk etter opninga av programmet. Det er også mogleg å opna filer frå GIMP når programmet køyrer ved å bruka Opna biletdialogvindauget.

Dei fleste operativsystema har ein eller annan måte for å tilordna filklassar, kjenneteikna ved filnamnutvidingane som t.d. «.jpg», til bestemte program, som t.d. GIMP. Du kan altså stilla inn programmet slik at når du dobbeltklikkar på ei biletfil i filutforskaren, vert dette biletet opna i GIMP.

Viss du installerte flatpakkeversjonen av GIMP frå flathub.org, opnar du GIMP anten ved å klikka på eit ikon eller ved å skriva flatpak run org.gimp.GIMP//stable på kommandolinja.

### 1.1. Å byta språk

GIMP vil bruka det språket datamaskinen er sett opp med. Dersom GIMP av ein eller annan grunn ikkje finn språket, eller dersom du ønskjer å bruka eit anna språk, kan du gjera dette frå Grensesnitt: Rediger → Brukarinnstillingar og så gå til Grensesnitt og setja ønskt språk i Språk.

Viss du helst vil endra språk ved å bruka miljøvariablar, kan du bruka:

Under Linux

  I LINUX: i «console mode», skriv du `LANGUAGE=xx GIMP` eller `LANG=xx gimp` der du byter ut «xx» med koden for det språket du ønskjer (nn for nynorsk, nb for bokmål for eksempel). Bakgrunn: `LANGUAGE=xx` set ein omgivnadsvariabel («environment variable») for programmet `gimp`.

Under Windows

  Knappen Kontrollpanel → System → Avansert → Omgjevnadar i området «Systemvariablar» knappen Legg til: Skriv LANG for Namn og fr, de, etc. for verdi. Pass på! Du må trykkja OK tre gongar for å validera valet.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-3.0.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

Under Apple macOS

  Frå Systeminnstillingar klikk Generelt på sidestolpen. Deretter vel du Språk og Region. Det ønskte språket skal vera først i lista.

Ei anna utgåve av GIMP

  You can use command line parameter `-n` to run multiple instances of GIMP. For example, `gimp-3.0` starts GIMP in the default system language, and `LANGUAGE=en gimp-3.0 -n` starts another instance of GIMP in English. This can be very useful for translators.

### 1.2. Argument i kommandolinja

Det er ikkje nødvendig å bruka argument når du opnar GIMP, men dei kan vera nyttige i bestemte høve. I eit Unix-system kan du bruka `man gimp` for å lista ut alle argumenta.

These arguments must be added to the command line that you use to start GIMP as gimp-3.0 [OPTION...] [FILE|URI...], where «OPTION...» can be one or more of the arguments listed below, followed by one or more file names.

-?, ,-h, --help

  Vis ei liste over alle kommandolinjevala.

--help-all

  Vis alle hjelpvala.

--help-gegl

  Vis alle GEGL-innstillingane.

--help-gtk

  Vis alternativ for GTK+.

-v, --version

  Skriv kva for versjon av GIMP som er i bruk, og slutt av programmet.

--license

  Vis lisensinformasjon og slutt av.

--verbose

  Vis detaljerte oppstartmeldingar.

-n, --new-instance

  Start ei ny økt av GIMP.

-a, --as-new

  Opna bilete som nytt.

-i, --no-interface

  Køyr utan brukargrensesnitt.

-d, --no-data

  Ikkje last inn mønsterelement, fargeovergangar, palettar eller penslar. Kan vera nyttig i ikkje-interaktive situasjonar der oppstarttida skal vera kortast råd.

-f, --no-fonts

  Ikkje last inn nokon skrifttypar. Dette kan korte ned oppstarttida for GIMP når skripta ikkje brukar skrifttypar. Kan også vera nyttig for å finna skrifttypar med feil som gjer at GIMP stoppar opp.

-s, --no-splash

  Ikkje vis oppstartskjermen.

--no-shm

  Ikkje bruk delt minne mellom GIMP og programtillegga.

--no-cpu-accel

  Ikkje bruk funksjonar for å auke farten på CPU. Kan vera nyttig for å finna eventuelle feil i slik programvare eller utstyr.

--session=`namn`

  Bruk ei anna `sessionrc`-fil for denne GIMP-økta. Det gjevne «session name» vert lagt til det normale `sessionrc`-filnamnet.

-g, --gimprc=`filnamn`

  Bruk ei alternativ `gimprc`-fil i staden for den vanlege. `gimprc`-fila inneheld data om innstillingane dine. Kan vera nyttige når banane til programtillegga eller maskinoppsettet er endra.

--system-gimprc=`filenamn`

  Bruk ei alternativ system-`gimprc`-fil.

-b, --batch=`kommandoar`

  Utfør kommandosettet «non-interactively». Kommandosettet er typisk eit skript som vert utført av ei av GIMP sine skriptutvidingar. Dersom du brukar kommandoen `-`, vert kommandoane lesne frå standarinngangen.

--batch-interpreter=`proc`

  Prosedyren som vert brukt for å køyre mengdetolkarane (batch kommandoane). Denne er normalt sett til Script-Fu.

--avslutt

  Avslutt straks etter å ha utført førespurde handlingar

-c, --console-messages

  Ikkje vis dialogboksar ved varsling av feil. Skriv meldingane til konsollen i staden.

--pdb-compat-mode=`modus`

  PDB kompatibilitetsmodus (off|on|warn)

--stack-trace-mode=`mode`

  Feilfinning i tilfelle krasj (never|query|always)

--debug-handlers

  Slå på signalhandsamarar for ikkje-fatale feil. Vert brukt for å finna feil i GIMP.

--g-fatal-warnings

  Gjer alle åtvaringane fatale. Vert brukt for å finna feil i GIMP.

--dump-gimprc

  Vis ei gimprc-fil med normalinnstillingane. Kan kome til nytte dersom du rotar til gimprc-fila.

--show-playground

  Vis ei preferanseside med eksperimentelle funksjonar.

--display=`display`

  Bruk X visning (gjeld ikkje på Microsoft Windows).

### 1.3. Konfigureringsmappe

Første gongen du køyrer GIMP vert det laga ei oppsettmappe. All informasjon om konfigureringa vert lagra i denne mappa. Viss du fjernar ho eller endrar namnet vil GIMP laga ei ny oppsettmappe neste gong du opnar programmet.

Kvar oppsettsmappa vert lagra er avhengig av operativsystemet:

Under Linux:

  `$XDG_CONFIG_HOME`

  Usually: `$HOME/.config/GIMP/3.0/`

Under Microsoft Windows ved bruk av omgjevnadsvariablar:

  `%APPDATA%\GIMP\3.0\`

  Usually: `%USERPROFILE%\AppData\Roaming\GIMP\3.0\`

Under Apple MacOS:

  `NSApplicationSupportDirectory`

  Usually: `~/Library/Application Support/GIMP/3.0/`

### 1.4. Tips og triks

Berre eit par forslag før du byrjar:

- GIMP kan gje tips du kan lesa når som helst ved å bruka menykommandoen Hjelp → Dagens tips. Tipsa gjev informasjon som vert sett på som nyttige, men som det ikkje er lett å lære ved å eksperimentera, så dei er verdt å lesa. Les tipsa når du har tid.

- Viss det hender at du prøver å gjera eitt eller anna og GIMP ser ut til å ha stopp å fungera, kan det henda du finn hjelp i Problemløysing.

- Ikkje gløym å kontrollera brukarinnstillingane. Det er lett å tilpassa GIMP ved å justera mange av innstillingane etter eigne ønskje.

2. Kva som er nytt i GIMP |  | Kapittel 3. Dei første stega med GIMP

Report a bug in GIMP Report a documentation error